Bug 123981 - cfengine used to setup systems
cfengine used to setup systems
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-22 07:04 EDT by Harry Waye
Modified: 2014-03-16 22:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-08 15:05:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harry Waye 2004-05-22 07:04:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
It would be nice to have cfengine built in so that all configuration
could be stored in a certral configuration server.  Have an option in
the kickstart cfg file to point to the cfengine server.  This would
increase efficiency enormously.  For example the post script could be
moved out of the cfg file, and on to the cf server.  I find using the
post script most inefficent as there is often much duplication between
similar setups, and often end up with stale configs.  Instead of
seeing the network as individual boxes to ssh into, your contact with
them is all through the cfengine server.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. N/A
2.
3.
    

Additional info:
Comment 1 Bill Nottingham 2004-06-08 15:05:16 EDT
This is not currently on the roadmap.

Note You need to log in before you can comment on or make changes to this bug.